
public class Class398 {

   static Interface57 anInterface57_4902;


   public static Interface57 method6761() {
      if(null == anInterface57_4902) {
         throw new IllegalStateException("");
      } else {
         return anInterface57_4902;
      }
   }

   public static void method6762(Interface57 var0) {
      if(anInterface57_4902 != null) {
         throw new IllegalStateException("");
      } else {
         anInterface57_4902 = var0;
      }
   }

   Class398() throws Throwable {
      throw new Error();
   }

   public static Interface57 method6763() {
      if(null == anInterface57_4902) {
         throw new IllegalStateException("");
      } else {
         return anInterface57_4902;
      }
   }

   public static Interface57 method6764() {
      if(null == anInterface57_4902) {
         throw new IllegalStateException("");
      } else {
         return anInterface57_4902;
      }
   }

   public static boolean method6765() {
      return null != anInterface57_4902;
   }

   public static boolean method6766() {
      return null != anInterface57_4902;
   }

   static final void method6767(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub8_8476.method12857(1149748062)?1:0;
   }
}
